package com.ruoyi.baseinfo.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工序基础信息对象 base_workingprocedure_info
 * 
 * @author CaesarBao
 * @date 2020-10-22
 */
@Data
public class BaseWorkingprocedureInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long objid;

    /** 工序ID */
    @Excel(name = "工序ID")
    private String workingProcedureId;

    /** 工序名称 */
    @Excel(name = "工序名称")
    private String workingProcedureName;

    /** 部门ID */
    @Excel(name = "部门ID")
    private Long deptId;

    /** 状态标志（0代表可用 1代表停用） */
    @Excel(name = "状态标志", readConverterExp = "0=代表可用,1=代表停用")
    private String status;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    private String deptName;

    private boolean flag = false;

    public void setObjid(Long objid) 
    {
        this.objid = objid;
    }

    public Long getObjid() 
    {
        return objid;
    }
    public void setWorkingProcedureId(String workingProcedureId) 
    {
        this.workingProcedureId = workingProcedureId;
    }

    public String getWorkingProcedureId() 
    {
        return workingProcedureId;
    }
    public void setWorkingProcedureName(String workingProcedureName) 
    {
        this.workingProcedureName = workingProcedureName;
    }

    public String getWorkingProcedureName() 
    {
        return workingProcedureName;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("workingProcedureId", getWorkingProcedureId())
            .append("workingProcedureName", getWorkingProcedureName())
            .append("deptId", getDeptId())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
